<img src=figures/logo_decipher.png width="300" />

## Decipher

Decipher is a single-cell analysis toolkit to jointly analyze samples from distinct
conditions (e.g. normal vs perturbed samples).

## Install
Decipher is available on PyPI under the name `scdecipher`.

### Step 1 (optional but recommended)
Create a conda environment with a recent Python version: `conda create -n "decipher-env" python=3.11`

### Step 2
Install Decipher: `pip install scdecipher`

## Quickstart tutorials
  - [1. Example of Decipher on AML data.](examples/1-tutorial.ipynb)

The data used in the tutorial can be downloaded from [here](https://github.com/azizilab/decipher_data).

## Directories

```
.
├── decipher:       Source code
└── examples:       Examples and tutorials
```

## How to cite Decipher
Please cite our preprint: https://www.biorxiv.org/content/10.1101/2023.11.11.566719v1

_Deep generative model Deciphers derailed trajectories in Acute Myeloid Leukemia_

### BibTex
```
@article {Nazaret2023.11.11.566719,
	title = {Deep generative model deciphers derailed trajectories in acute myeloid leukemia},
	author = {Achille Nazaret and Joy Linyue Fan and Vincent-Philippe Lavallee and Andrew E. Cornish and Vaidotas Kiseliovas and Ignas Masilionis and Jaeyoung Chun and Robert L. Bowman and Shira E. Eisman and James Wang and Lingting Shi and Ross L. Levine and Linas Mazutis and David Blei and Dana Pe'er and Elham Azizi},
	journal = {bioRxiv}
	year = {2023},
	publisher = {Cold Spring Harbor Laboratory},
}

```
### Chicago
```
Nazaret Achille, Fan Joy Linyue, Lavallee Vincent-Philippe, Cornish Andrew E., Kiseliovas Vaidotas et al. "Deep generative model deciphers derailed trajectories in acute myeloid leukemia." bioRxiv (2023).
```
